#!/bin/sh

#############################################################################
#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corp. 2013.  All rights reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#############################################################################

echo ""
echo "Start update widget context root prefix script"
echo ""

#######################################################
#                                                     #
# Subroutine: Usage                                   #
#                                                     #
#######################################################
usage () {
  echo  ""
  echo  "updateWidgetContextRootPrefix.sh -profileName <profile name> -nodeName  <node name> -serverName <server name>"
  echo 	"                  -clusterName <cluster name> -contextRootPrefix <context root prefix>"
  echo  ""
  echo  "where: " 
  echo  ""
  echo  "-profileName <profile name>:"
  echo  "    The name of profile to apply the update"
  echo  ""
  echo  "-nodeName <node name>:"
  echo  "	   The name of node"
  echo  ""
  echo  "-serverName <server name>:"
  echo  "    The name of server"
  echo  ""
  echo  "-clusterName <cluster name>:"
  echo  "    The name of cluster"
  echo  ""
  echo  "-contextRootPrefix  <context root prefix>:"
  echo  "    New prefix for the context roots of the deployed applications"
  exit
 }   
  

#######################################################
#                                                     #
# Read command line options                           #
#                                                     #
#######################################################

if [ $# -ne 8 ]; then
  if [ $# -ne 6 ]; then
    usage
  fi
fi
  
while [ $# -gt 0 ]; do
  case $1 in
    -profileName) profileName=$2; shift; shift;;
	  -nodeName) nodeName=$2; shift; shift;;
	  -serverName) serverName=$2; shift; shift;;
	  -clusterName) clusterName=$2; shift; shift;;
	  -contextRootPrefix) contextRootPrefix=$2; shift; shift;;
    -h) usage;;
    -help) usage;;
    *) echo "Invalid parameter: $1"; usage;;
  esac;
done

#######################################################
#                                                     #
# Set WAS environment                                 #
#                                                     #
#######################################################
CUR_DIR1=`pwd`
SH_R_DIR=`dirname ${0}`
cd "$SH_R_DIR/../../"
WASHOME=`pwd`

cd "$WASHOME"/bin

if [ -f $WASHOME/bin/setupCmdLine.sh ];then
	. "$WASHOME/bin/setupCmdLine.sh"
else
	echo "Please enter WAS Home directory: "
    read WASHOME
	. "$WASHOME/bin/setupCmdLine.sh"
fi


#######################################################
#                                                     #
# call updateWidgetContextRootPrefix.jy                     #
#                                                     #
#######################################################

if [ -z "$clusterName" ] ; then
  "$WASHOME/bin/wsadmin.sh" -connType NONE -lang jython -profileName $profileName -f "$CUR_DIR1/updateWidgetContextRootPrefix.jy" $nodeName $serverName $contextRootPrefix
fi

if [ -z "$serverName" ] ; then
  "$WASHOME/bin/wsadmin.sh" -connType NONE -lang jython -profileName $profileName -f "$CUR_DIR1/updateWidgetContextRootPrefix.jy" $clusterName $contextRootPrefix
fi

echo "Done"
